Debian Bug report logs - #337581
manpages-dev: manpage dbopen.3 is incorrect

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Jasen Betts <jasen@free.net.nz>

Date: Sat, 5 Nov 2005 02:18:01 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version manpages-dev/1.70-1

Fixed in version manpages/3.40-0.1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#337581; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Jasen Betts <jasen@free.net.nz>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jasen Betts <jasen@free.net.nz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/man/man3/dbopen.3.gz: manpage /usr/share/man/man3/dbopen.3.gz is incorrect
Date: Sat, 05 Nov 2005 15:06:01 +1300
Package: manpages-dev
Version: 1.70-1
Severity: normal
File: /usr/share/man/man3/dbopen.3.gz


This man page claims to describe the function dbopen found in <db.h>

there is no such function in db.h

here /usr/include/db.h is provided by the berkeley-db package (libdb4.3-dev)
and that file doesn't describe dbopen at all.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.13.2JB1
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages manpages-dev depends on:
ii  manpages                      1.70-1     Manual pages about using a GNU/Lin

-- no debconf information



Changed Bug title. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#337581; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #14 received at 337581@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: <95279@bugs.debian.org>, <337581@bugs.debian.org>
Date: Tue, 20 Dec 2005 18:47:26 -0500
These 2 bugs are related.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#337581; Package manpages-dev. (Sun, 12 Dec 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 12 Dec 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 337581@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Debian Bug Tracking System <337581@bugs.debian.org>
Subject: manpages-dev: dbopen(3) documents non-existent interface
Date: Sun, 12 Dec 2010 20:55:12 +0000
[Message part 1 (text/plain, inline)]
This package contains a dbopen(3) manpage, but no such interface exists
anywhere in libc6[0].  The <db.h> file referred to in it is part of a
separate package (in my particular case, libdb4.7-dev).  I suspect that
this documents the old Berkeley DB 2 interface that was for a long time
included with glibc, but it has been years since that's been included.

If my suspicion is correct, you'll probably want to remove this manpage
from the package.  And while you're at it, close 95279.

[0] dpkg -L libc6 | grep -E '^/lib.*so.' | xargs nm -D | grep dbopen
returns no results.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#337581; Package manpages-dev. (Sun, 22 Apr 2012 19:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 22 Apr 2012 19:54:06 GMT) Full text and rfc822 format available.

Message #24 received at 337581@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 337581@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#337581: manpages-dev: dbopen(3) documents non-existent interface
Date: Mon, 23 Apr 2012 07:50:48 +1200
tags 337581 fixed-upstream
thanks

On Sun, Dec 12, 2010 at 9:55 PM, brian m. carlson
<sandals@crustytoothpaste.net> wrote:
> This package contains a dbopen(3) manpage, but no such interface exists
> anywhere in libc6[0].

Yes, it looks like glibc dropped these starting with v2.2.

> The <db.h> file referred to in it is part of a
> separate package (in my particular case, libdb4.7-dev).  I suspect that
> this documents the old Berkeley DB 2 interface that was for a long time
> included with glibc, but it has been years since that's been included.
>
> If my suspicion is correct, you'll probably want to remove this manpage
> from the package.  And while you're at it, close 95279.
>
> [0] dpkg -L libc6 | grep -E '^/lib.*so.' | xargs nm -D | grep dbopen
> returns no results.

Upstream man-pages has a long memory (it does not just document the
latest version of glibc/the kernel), so I am reluctant to delete these
pages. But obviously, something should be done. For upstream 3.40, in
these pages:

btree.3 dbopen.3 hash.3 mpool.3 recno.3

I added this text at the start of DESCRIPTION in

=====
.IR "Note well" :
This page documents interfaces provided in glibc up until version 2.1.
Since version 2.2, glibc no longer provides these interfaces.
Probably, you are looking for the APIs provided by the
.I libdb
library instead.
=====

Thanks for the report, Brian.

Cheers,

Michael



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/




Added tag(s) fixed-upstream. Request was from "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com> to control@bugs.debian.org. (Sun, 22 Apr 2012 19:54:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sat, 28 Apr 2012 21:22:24 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Wed, 09 May 2012 10:51:56 GMT) Full text and rfc822 format available.

Notification sent to Jasen Betts <jasen@free.net.nz>:
Bug acknowledged by developer. (Wed, 09 May 2012 10:51:59 GMT) Full text and rfc822 format available.

Message #33 received at 337581-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 337581-close@bugs.debian.org
Subject: Bug#337581: fixed in manpages 3.40-0.1
Date: Wed, 09 May 2012 10:48:16 +0000
Source: manpages
Source-Version: 3.40-0.1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.40-0.1_all.deb
  to main/m/manpages/manpages-dev_3.40-0.1_all.deb
manpages_3.40-0.1.diff.gz
  to main/m/manpages/manpages_3.40-0.1.diff.gz
manpages_3.40-0.1.dsc
  to main/m/manpages/manpages_3.40-0.1.dsc
manpages_3.40-0.1_all.deb
  to main/m/manpages/manpages_3.40-0.1_all.deb
manpages_3.40.orig.tar.gz
  to main/m/manpages/manpages_3.40.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 337581@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 06 May 2012 15:24:57 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.40-0.1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 147778 156154 202022 337581 607398 614881 655088 656994 659750 664688 665780 667672
Changes: 
 manpages (3.40-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/watch: kernel.org is back
   * Install sigwait.3, no more conflict with glibc-doc (Closes: #147778)
   * Imported Upstream version 3.40:
     . new manpages: getent.1 process_vm_readv.2 sendmmsg.2 get_nprocs_conf.3
         malloc_get_state.3 malloc_trim.3 malloc_usable_size.3 mallopt.3
         mcheck.3 scandirat.3
     . pipe.2: Add "#include <fntl.h>" for O_* constants (Closes: #659750)
     . resolv.conf.5:
         - Describe syntax used for comments (Closes: #656994)
         - Document "single-request" option (Closes: #607398)
     . rtnetlink.3: fix example (Closes: #655088)
     . dbopen.3 and db related: refer to libdb API (Closes: #337581)
     . fread.3: return value is number of items, not bytes (Closes: #665780)
     . gettimeofday.2: mark DST_ constants as obsolete (Closes: #614881)
     . rcmd.3: Document "_af" variants of these functions (Closes: #202022)
     . iso_8859-1.7: Add "-" for SOFT HYPHEN (Closes: #156154)
     . keyctl.2: Strip trailing tabs from source line (Closes: #664688)
   * debian/control:
     . Replace libc-bin (<< 2.13-31) as getent.1 is now provided by manpages
     . Bump Standards-Version to 3.9.3
   * debian/inst: install section 1 in manpages binary package.
   * mallopt.3: switch to the upstream version
   * motd.tail(5): fix groff warnings, two spaces instead of one after period
     (Closes: #667672) - thanks to Bjarni Ingi Gislason
Checksums-Sha1: 
 715f38680a0d767e04e8c0c7b9923331cc1ac50a 1863 manpages_3.40-0.1.dsc
 0e0aa536815f49522932c0985461a8d2de610a80 1723615 manpages_3.40.orig.tar.gz
 83806793e06e9cd4674e758e09743645eb3d2a6f 47786 manpages_3.40-0.1.diff.gz
 f3fa7c79a7a09f86c34dfd8b7cafebd4073c251b 775560 manpages_3.40-0.1_all.deb
 4a2538b3213aed070ff6401fda94528286bcd89f 1710474 manpages-dev_3.40-0.1_all.deb
Checksums-Sha256: 
 2d7152d1ccfe8b35eb2f349e6b4c7d7a76c95440b3335556e90badcb8f47d4f5 1863 manpages_3.40-0.1.dsc
 0f30f8168d85a12f6032217a44df484ef7f1a9c1c8d7bace1faa2d10f8629cff 1723615 manpages_3.40.orig.tar.gz
 619cb6deb8b1238329be47b62a0aeebbdbff78b3d79357859c60e944f701274e 47786 manpages_3.40-0.1.diff.gz
 a86e1732a78c94fc31a3b1bc15b97db6198c7946b6d9af7435c4d330ee5e785b 775560 manpages_3.40-0.1_all.deb
 3d3054f8c7106163059ecc8c5feeb1e877dd0a4ccea90199ed9b584323800eb8 1710474 manpages-dev_3.40-0.1_all.deb
Files: 
 ea22ee1cfdc1b9c8f9462607a5cdc191 1863 doc important manpages_3.40-0.1.dsc
 41f40b4890c2f463840ed7070e68ab3a 1723615 doc important manpages_3.40.orig.tar.gz
 1a4a36695e7e1474158f89d3d6c2e0c8 47786 doc important manpages_3.40-0.1.diff.gz
 ac8c8898a6901f20302674c26351f98b 775560 doc important manpages_3.40-0.1_all.deb
 4d890750faca36c152cd419f1a599ae5 1710474 doc optional manpages-dev_3.40-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPpnzuAAoJEN/3OMLRbPuiJcUP/2bfsQVxrYW/wRJsJc0yL1ax
1FU6DuFntKl9GEciyY8pOBFBh+9DlbO+kbpnPar2xlGAQi+J2e6qvSQ2V2M8cx5o
mcPrF1Sv1XWQ+Bm1DHA22Mzj/vYFKpFAaxwzT/KWbtLVrkH+G5gHlpHotMWE5Bmf
897bvAPuK8qcJkvLtPIAxpFzXKtnxw89PUYx71ig6jrfonVuSJQvFpzb90DZfz2F
gKGfpkJePKe0i1nzz6dNeoPk48sgKstp7lrTR5+9Ub/NTLTMzPzBT9QK4RBD2gMV
le22NNt26pk0O79KrabjabZRUYsC+7oOvWJqPE3y4R53tCZzeIlFMC56pWHGpmD2
hsOXLmnfgPjwuwFG2vqBKdCuKmvtav3RwUSFjhbh/0Vw3+voT5VdBBsrlmvuiQdC
v47/KU6+YLT5CDQhF4Up/YQleX0cgn47/z5dauAIeZqzJxmm3rhpdLSGtV4eUJje
Utsros+CV2fUK6vO2WBx7pr9hfKFH9JGnegkjm/F50EzMqdKSOIJFzFAaBPK0hxd
v4AXAZuquax69wyYPMWBA0FWS+qq94QNNjw9PLj8RkwBmZOCRdGV8efyQhDrkcVQ
aip6PMXHsirUrWfbXHe2pChPJdQIyobDV3rv+B9Ua1JdBYim8wWMHqSv2hOsBmBW
DH9THUg+wnrvuxIbkPnG
=wlDY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jun 2012 07:43:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:04:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.